package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: BusinessLicenseUploadPlatformReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:23
 */
@Data
public class Nft005BusinessLicenseUploadPlatformResp implements Serializable {
    /**
     * 图片id
     */
    private Integer id;

    private static final Nft005BusinessLicenseUploadPlatformResp obj = new Nft005BusinessLicenseUploadPlatformResp();
    public static Nft005BusinessLicenseUploadPlatformResp getNew() {
        try {
            return (Nft005BusinessLicenseUploadPlatformResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft005BusinessLicenseUploadPlatformResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
